summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-10-17 18:25:48 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2013-10-17 18:25:48 +0200
commit94e55c5b6cb493d9467686088a7b159322eeda5f (patch)
tree791a6908a5eaa6ad611bbe587cfc28d2428572a0 /scripts
parentf7ae07959a3de464468de2a07ce9970fedf13931 (diff)
parent6e2120ea29a30b1379ee9454ab410088fac0e8f7 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 7fa68822a..757ae4256 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -23,6 +23,13 @@ out=0
. $topdir/.config
+uname -a|grep '\(Debian\|Ubuntu\)' >/dev/null 2>&1
+if [ $? -eq 0 ];then
+ if [[ -n $ADK_COMPILE_PYTHON2 ]]; then
+ NEED_DPKG_ARCHITECTURE="$NEED_DPKG_ARCHITECTURE python2"
+ fi
+fi
+
if [[ -n $ADK_NATIVE ]];then
if [[ -n $ADK_PACKAGE_NEON ]];then
NEED_LIBXML2_DEV="$NEED_LIBXML2_DEV neon"
@@ -490,6 +497,13 @@ if [[ -n $NEED_MAKEDEPEND ]]; then
fi
fi
+if [[ -n $NEED_DPKG_ARCHITECTURE ]]; then
+ if ! which dpkg-architecture >/dev/null 2>&1; then
+ echo >&2 You need dpkg-architecture to build $NEED_DPKG_ARCHITECTURE
+ out=1
+ fi
+fi
+
if [[ -n $ADK_USE_CCACHE ]]; then
if ! which ccache >/dev/null 2>&1; then
echo >&2 You have selected to build with ccache, but ccache could not be found.